Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Fri 18 Apr 2014, 21:15
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Derivatives
Polarpup-005 with Qt4-4.8.0 and Gstreamer libs inbuild
Moderators: Flash, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 28 of 34 [498 Posts]   Goto page: Previous 1, 2, 3, ..., 26, 27, 28, 29, 30, 31, 32, 33, 34 Next
Author Message
umair

Joined: 25 Dec 2010
Posts: 200
Location: KUST Kohat, Pakistan

PostPosted: Mon 23 Jan 2012, 00:41    Post subject:  

pemasu wrote:
Hmm....you possibly mean that there is no wireless icon in tray. That usually happens if the frisbee-tray loads before your wireless kernel module has been loaded and the wireless is ready for action.

Open /root/Startup/frisbee-tray file and add as first line:
sleep5
and save the file. To be paranoid, add: sleep 10
but that is extreme measure, but I have used it as generic solution.

If you mean something else, you need to elaborote your meaning more.

Thnx for the quick response.
I mean to say that, we saw LAN eth0 Activity Icon in Taskbar by default in All Puppies (where the two small monitors shows the upload and download speed of LAN).
Hope U got my point. Sorry for inconvenience.
regards
UMAIR
Back to top
View user's profile Send private message Yahoo Messenger 
pemasu


Joined: 08 Jul 2009
Posts: 5458
Location: Finland

PostPosted: Mon 23 Jan 2012, 05:10    Post subject:  

Now I got it, I think. You mean network_tray. I dont include it to my builds.

But...this should work:
http://distro.ibiblio.org/quirky/pet_packages-common/network_tray-2.4.3.pet
Back to top
View user's profile Send private message 
umair

Joined: 25 Dec 2010
Posts: 200
Location: KUST Kohat, Pakistan

PostPosted: Mon 23 Jan 2012, 06:14    Post subject:  

pemasu wrote:
Now I got it, I think. You mean network_tray. I dont include it to my builds.

But...this should work:
http://distro.ibiblio.org/quirky/pet_packages-common/network_tray-2.4.3.pet


Thnx for the reply and help.
Yeah I was asking about Network Tray Smile
Works perfectly.
Once again Thnx pemasu
Regards
UMAIR
Back to top
View user's profile Send private message Yahoo Messenger 
marco07

Joined: 18 Jan 2011
Posts: 176
Location: Lincoln , NE, USA

PostPosted: Sun 05 Feb 2012, 17:28    Post subject:  

Hi Pemasu:
I am still enjoying Polarpup-005 on my Thinkpad R60 laptop. Lately Firefox was updated automatically to version 10. It is working OK. However, the flash player was not updated and FF is now incompatible with this old version of Flash player. How can I update the flash player? Polar 005 doesn't have a "get flash player" tool built in. Could you please help.
Thanks!
P. S., BTW, I also enjoy Snow puppy 014 (best fit) on my older Thinkpad 600X.
Back to top
View user's profile Send private message 
pemasu


Joined: 08 Jul 2009
Posts: 5458
Location: Finland

PostPosted: Sun 05 Feb 2012, 17:34    Post subject:  

Try this pet. I dont know if something is missing. but you know soon.

Install the pet and launch in console: getflash

That way you know if it errors and it give you some error message which you can post if it does not work.
getflash-0.8.pet
Description 
pet

 Download 
Filename  getflash-0.8.pet 
Filesize  7.37 KB 
Downloaded  107 Time(s) 
Back to top
View user's profile Send private message 
marco07

Joined: 18 Jan 2011
Posts: 176
Location: Lincoln , NE, USA

PostPosted: Sun 05 Feb 2012, 20:28    Post subject:  

pemasu wrote:
Try this pet. I dont know if something is missing. but you know soon.

Install the pet and launch in console: getflash

That way you know if it errors and it give you some error message which you can post if it does not work.


Here is what I get:
sh-4.1# getflash
'http://fpdownload.macromedia.com/get/flashplayer/pdc/11.1.102.55/install_flash_player_11_linux.i386.tar.gz'
NEWVERSION=11.1.102.55
INSTALLED=11.1.102.55

/usr/sbin/getflash: line 23: 13230 Terminated LANG=$LANG_USER gtkdialog-splash -fontsize "large" -icon $MYICON --placement center -bg $BGCOLOR -timeout $TIMEOUT -close never -text "$@"
rxvt: the locale is not supported by Xlib, working without locale support.
Generating /root/.icewm/menu...
Generating /root/.jwmrc...
/usr/sbin/getflash: line 23: 14171 Terminated LANG=$LANG_USER gtkdialog-splash -fontsize "large" -icon $MYICON --placement center -bg $BGCOLOR -timeout $TIMEOUT -close never -text "$@" (wd: /usr/lib/mozilla/plugins)
sh-4.1#

Now I do not have any Flash player at all. The installed one is apparently removed when I ran the getflash.
Thanks!
Back to top
View user's profile Send private message 
pemasu


Joined: 08 Jul 2009
Posts: 5458
Location: Finland

PostPosted: Mon 06 Feb 2012, 02:24    Post subject:  

I dont get an idea what didnt work from that code post. But I will create a pet for you which installs the latest flash. As you know....it was not intentional that you lose your existing flashplayer and dont get newer one.

I will boot Polarpup soon also and check which version of getflash works with it and if Polarpup needs some missing fix.
Back to top
View user's profile Send private message 
marco07

Joined: 18 Jan 2011
Posts: 176
Location: Lincoln , NE, USA

PostPosted: Mon 06 Feb 2012, 09:04    Post subject:  

pemasu wrote:
I dont get an idea what didnt work from that code post. But I will create a pet for you which installs the latest flash. As you know....it was not intentional that you lose your existing flashplayer and dont get newer one.

I will boot Polarpup soon also and check which version of getflash works with it and if Polarpup needs some missing fix.


Pemasu:
Thanks!
I did not mean to say that you caused the removal of old Flash player. Of course not! Sorry if my note implied as such.
I believe it is a good idea to re-examine Polar 005 with FF 10. There might be a need for some minor fixes and upgrading. Polar 005 for my Thinkpad R60 is a jewel and I seriously do not like to lose it. It is as if it was built exclusively for this laptop.
FYI, I have been testing your exprimo puppies up to the latest x.13 and like them as well. The only reason I never install them is because of my desired application namely Kmymoney which I use on daily basis and as you know requires a lot of dependencies in Exprimo.
Thanks again.
Back to top
View user's profile Send private message 
pemasu


Joined: 08 Jul 2009
Posts: 5458
Location: Finland

PostPosted: Mon 06 Feb 2012, 12:04    Post subject:  

Okay. I believe you have the flashplayer installed and updated to the latest. It just is non functional without my firefox-fix pet.

Uninstall the previous flashget pet and install this new one. It has the version I use in dpup exprimo. It works. I have tested it in polarpup and I post from it with firefox 10 and latest flash.

You can launch it...it takes some time before the box appears. It shows if you have flash installed and the version also. If not...it tells you that. Install flash if it shows you dont have flash and after installation close the box.

Install also the firefox-fix pet. Close all firefox sessions and then launch firefox again. It should now work with latest flash.

So...the incompatibility comes from firefox 10 and latest flash. They need some arrangement.
getflash-yad-version-0.0.1.pet
Description 
pet

 Download 
Filename  getflash-yad-version-0.0.1.pet 
Filesize  3.51 KB 
Downloaded  126 Time(s) 
firefox-fix-0.0.1.pet
Description 
pet

 Download 
Filename  firefox-fix-0.0.1.pet 
Filesize  542 Bytes 
Downloaded  128 Time(s) 
Back to top
View user's profile Send private message 
Puppyt

Joined: 09 May 2008
Posts: 550
Location: Karana Downs, Queensland

PostPosted: Mon 06 Feb 2012, 20:45    Post subject:    

marco07 wrote:
Hi Pemasu:
I am still enjoying Polarpup-005 on my Thinkpad R60 laptop...
P. S., BTW, I also enjoy Snow puppy 014 (best fit) on my older Thinkpad 600X.

+1 marco07 - Polarpup-005 is my "go to" OS on my T60 widescreen. (I have about 6 installed for dual-booting.) I reckon we should approach Lenovo to have their ThinkPad models renamed "ThinkPemasu".

I'm running FF8.0.1 on it at the moment, to no end of grief as everyone can relate to "using" the FF8 and FF9 series. I've held off upgrading (?) to FF10 and instead went with your Qupzilla pet, pemasu. What a revelation! Works just like FF used to (without add-ons), with other performance surprises under the hood.
My only reservation is that the navigation icons aren't called up properly, and there is a minor issue with the boxing for text entered into the address and search bars. I mentioned the issue on sc0ttman's 'Akita' thread and he suggested a library update - but I'm hazy on the details. Could I ask you take another look at compiling that again for PolarPup, pemasu? Also, adding jemimah's latest Frisbee would be a huge bonus, when that happens,
Cheers!

_________________
Toowoomba Linux Community
http://groups.google.com/group/toowoombalinux
Back to top
View user's profile Send private message Visit poster's website 
pemasu


Joined: 08 Jul 2009
Posts: 5458
Location: Finland

PostPosted: Tue 07 Feb 2012, 02:17    Post subject:  

Sure....I could compile Qupzilla for Polarpup. I think too that the Qupzilla is best of those more or less lightweight browsers. I will compile it probably this evening.
Back to top
View user's profile Send private message 
Puppyt

Joined: 09 May 2008
Posts: 550
Location: Karana Downs, Queensland

PostPosted: Tue 07 Feb 2012, 03:10    Post subject:  

Thanks pemasu - that is most appreciated, even given that Qupzilla is in early development, your QT environment would seem to be perfect for it - from what I understand.
I was using your Wine pet earlier today, and the old Win/Mac gold-standard statistics program, "StatView 5.01", on it. It's "abandonware" nowadays, but you can find copies of it still on those filesharing sites (?) I am yet to find StatViews' equal, without having to upgrade heavily to 'R'. The PolarPup+Wine environment was rock-solid, thankyou!

P.S. After I posted about using PolarPup005 on the T60 this morning, I was checking Qupzilla for breaks etc. I noticed that it spontaneously crashed when the user was trying to change preferences. Something to look out for in the recompile, perhaps?

Cheers!

_________________
Toowoomba Linux Community
http://groups.google.com/group/toowoombalinux
Back to top
View user's profile Send private message Visit poster's website 
marco07

Joined: 18 Jan 2011
Posts: 176
Location: Lincoln , NE, USA

PostPosted: Tue 07 Feb 2012, 10:12    Post subject:  

pemasu wrote:
Okay. I believe you have the flashplayer installed and updated to the latest. It just is non functional without my firefox-fix pet.

Install also the firefox-fix pet. Close all firefox sessions and then launch firefox again. It should now work with latest flash.

So...the incompatibility comes from firefox 10 and latest flash. They need some arrangement.


You are right. Flash Player was installed already.
Firefox-fix pet fixed the issues. It all Ok now.
Thanks a lot Pemasu!
Back to top
View user's profile Send private message 
pemasu


Joined: 08 Jul 2009
Posts: 5458
Location: Finland

PostPosted: Tue 07 Feb 2012, 15:57    Post subject:  

I have had a long day. I will leave for tomorrow of compiling Qupzilla.
Back to top
View user's profile Send private message 
Puppyt

Joined: 09 May 2008
Posts: 550
Location: Karana Downs, Queensland

PostPosted: Tue 07 Feb 2012, 19:01    Post subject:  

No problems, pemasu - certainly don't rush on my behalf. Works better than FF8 as it is!
_________________
Toowoomba Linux Community
http://groups.google.com/group/toowoombalinux
Back to top
View user's profile Send private message Visit poster's website 
Display posts from previous:   Sort by:   
Page 28 of 34 [498 Posts]   Goto page: Previous 1, 2, 3, ..., 26, 27, 28, 29, 30, 31, 32, 33, 34 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Derivatives
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0926s ][ Queries: 12 (0.0134s) ][ GZIP on ]